<template>
	<div>
		<q-input type="date" v-model="dietChartDate" label="Date" stack-label />
		<q-btn label="print" color="green" @click="printChart" />
	</div>

</template>
<script>
export default {
	props: ['module'],
	data() {
		return {
			dietChartDate: null
		}
	},
	methods: {
		printChart() {
			let postData = {
				Module_Name: this.module.Module_Name,
				where: [{
					Date: this.dietChartDate
				}
				]
			}
			axios.post('welcome/printdata/', objectToFormData(postData)).then(({ data }) => {
				let w = window.open()
				w.document.write(data.datatype.result.data)
			})
		}
	}
}
</script>